##### ssl::context::use_tmp_dh (1 of 2 overloads)

Use the specified memory buffer to obtain the temporary Diffie-Hellman parameters.

    void use_tmp_dh(
        const const_buffer & dh);

This function is used to load Diffie-Hellman parameters into the context from a buffer.

###### Parameters

dh

  The memory buffer containing the Diffie-Hellman parameters. The buffer must use the PEM format.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

Calls `SSL_CTX_set_tmp_dh`.